<!DOCTYPE html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" type="text/css" href="./css/bootstrap.min.css" />
    <link rel="stylesheet" type="text/css" href="./css/style.css" />
  </head>
  <body>
    <section id="app">
      <h3>
        <img
          src="https://avatars3.githubusercontent.com/u/42224737?s=400&u=04ff0999073ca06a5e292c00ea24b29d8b660efd&v=4"
          width="40px"
        />
        Liberdus Validator Settings
      </h3>
      <hr />
      <form @submit.prevent="onStartNode">
        <p>
          <a href="#" @click="changeAdminPass">Change admin password</a>
        </p>
        <p>
          <a href="/network">Explore Network</a>
        </p>
        <div class="form-group">
          <label>External IP</label>
          <input type="text" class="form-control" v-model="form.externalIp" />
        </div>
        <div class="form-group">
          <label>External Port</label>
          <input type="text" class="form-control" v-model="form.externalPort" />
        </div>
        <div class="form-group">
          <label>Internal IP</label>
          <input type="text" class="form-control" v-model="form.internalIp" />
        </div>
        <div class="form-group">
          <label>Internal Port</label>
          <input type="text" class="form-control" v-model="form.internalPort" />
        </div>
        <div class="form-group">
          <label>Archiver IP</label>
          <input type="text" class="form-control" v-model="form.archiverIp" />
        </div>
        <div class="form-group">
          <label>Archiver Port</label>
          <input type="text" class="form-control" v-model="form.archiverPort" />
        </div>
        <div class="form-group">
          <label>Archiver Public Key</label>
          <input
            type="text"
            class="form-control"
            v-model="form.archiverPublicKey"
          />
        </div>
        <div class="form-group">
          <label>Monitor Reporting Endpoint</label>
          <input
            type="text"
            class="form-control"
            v-model="form.monitorReportUrl"
          />
        </div>
        <div class="form-group">
          <label>Reward Address</label>
          <input type="text" class="form-control" v-model="form.payAddress" />
        </div>

        <button
          v-if="starting"
          class="btn btn-primary btn-lg btn-block"
          type="submit"
          disabled
        >
          <span
            class="spinner-grow spinner-grow-sm"
            role="status"
            aria-hidden="true"
          ></span>
          Starting
        </button>
        <button
          type="submit"
          class="btn btn-primary btn-lg btn-block"
          v-if="!isNodeActive"
        >
          Start Node
        </button>

        <button
          @click="onStopNode"
          class="btn btn-primary btn-lg btn-block"
          v-if="isNodeActive"
        >
          Stop Node
        </button>
      </form>

      <div v-if="isNodeActive">
        <br />
        <div class="node-usage" v-if="usage">
          <table class="table table-sm table-bordered">
            <thead class="thead-dark">
              <tr>
                <th scope="col">Process</th>
                <th scope="col">CPU</th>
                <th scope="col">RAM</th>
              </tr>
            </thead>
            <tbody>
              <tr v-if="usage">
                <td>{{ usage.process }}</td>
                <td>{{ usage.cpu }} %</td>
                <td>{{ usage.ram.toFixed(2) }} MB</td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>

      <div class="">
        <br />
        <a href="#" v-if="!showLog" @click="onShowLog">Show Log</a>
        <a href="#" v-if="showLog" @click="onHideLog">Hide Log</a>
        <textarea
          id="log"
          v-if="showLog"
          @scroll="onScrollLog"
          class="logs"
          wrap="soft"
          autocomplete="off"
          autocorrect="off"
          autocapitalize="off"
          spellcheck="false"
        >
{{ log }}</textarea
        >
      </div>
    </section>

    <script type="text/javascript" src="./js/bootstrap.min.js"></script>
    <script type="text/javascript" src="./js/vue.js"></script>
    <script
      type="text/javascript"
      src="https://unpkg.com/axios/dist/axios.min.js"
    ></script>
    <script
      type="text/javascript"
      src="https://unpkg.com/event-source-polyfill/src/eventsource.min.js"
    ></script>
    <script type="text/javascript" src="./js/index.js"></script>
  </body>
</html>
